# Global initialisation file for SciTE
# Go to Help|Help on SciTE for a full list of available properties

# switch the comments if you want the dark blue or black theme
#import default
#import darkblue
import black

# switch the comments if you want a monospaced font.
font.base=font:Lucida Console,size:10
#font.base=font:Verdana,size:10

# set this to 0 if you prefer not to have the full path in SciTE's caption bar
title.full.path=1
# set this to 0 if you prefer not to have line numbers automatically (can always set with View|Line Numbers)
line.margin.visible=1
# set this to 0 if you prefer to explicitly complete words with Ctrl+Enter
autocompleteword.automatic=1
# set this to 0 if you prefer not to have the session (the files that were open when SciTE was closed)
# restored the next time you open SciTE
save.session=1
# make this 1  if you would like double-click to select strings or comments.
scite.double.click.select.string=0
# if you prefer that a debugged program immediately runs to a breakpoint, make this 1
debug.run.automatically=0

# switch the comments of the first two lines if you want a standard Lua 5.1 prompt (that is, not ilua)
lua.prompt=lua -i "$(SciteDefaultHome)\scite-debug\ilua.lua" -i
#lua.prompt=lua
#lua.prompt=lua "$(SciteDefaultHome)\scite-debug\ilua.lua"

# assuming SciTE is in a similar location to Lua (e.g. \Program Files\SciTE)....
lua.directory=$(SciteDefaultHome)\..
command.help.*.lua=Lua 5.1 Reference Manual!$(lua.directory)\docs\lua5_1_4_Docs.chm
command.help.subsystem.*.lua=4
command.help.*.wlua=Lua 5.1 Reference Manual!$(lua.directory)\docs\lua5_1_4_Docs.chm
command.help.subsystem.*.wlua=4
command.help.*.lexe=Lua 5.1 Reference Manual!$(lua.directory)\docs\lua5_1_4_Docs.chm
command.help.subsystem.*.lexe=4


command.overview.help="file://$(SciteDefaultHome)\docs\scite-intro.html"
command.overview.help.subsystem=2

# Globals
ext.lua.startup.script=$(SciteDefaultHome)\scite-debug\extman.lua

# User-configurable toolbar. Note that ||| means a separator! You can use the STD_* standard
# Windows bitmaps, # or you can supply a bitmap 'name', which will be found as 'name.bmp'
# in this directory.  Bitmaps with transperancy are apparently not supported.
user.toolbar=\
|||\
STD_FILENEW|IDM_NEW|New|\
STD_FILEOPEN|IDM_OPEN|Open|\
STD_FILESAVE|IDM_SAVE|Save|\
|||\
STD_PRINT|IDM_PRINT|Print|\
|||\
STD_CUT|IDM_CUT|Cut|\
STD_COPY|IDM_COPY|Copy|\
STD_PASTE|IDM_PASTE|Paste|\
|||\
STD_FIND|IDM_FIND|Find|\
STD_REPLACE|IDM_REPLACE|Replace|\
|||\
run|IDM_GO|Run Program|\
stop|IDM_STOPEXECUTE|Kill Program|\
terminal|lua;no;start_lua_prompt|Launch Interactive Lua|\
load|lua;yes;load_current_lua_file|Load Lua File into Interactive Session|\
|||\
debug|lua;yes;do_run|Debug Program/Continue|\
breakpoint|lua;no;do_breakpoint|Set Breakpoint|\
step|lua;no;do_step|Step|\
step_over|lua;no;do_next|Step Over|\
step_out|lua;no;do_finish|Step Out|\
watch|lua;no;do_watch|Watch Variable|\
inspect|lua;no;do_inspect|Inspect Variable|\
stack|lua;no;do_backtrace|Stack Trace|\
stopd|lua;no;do_kill|Stop Debugging|

user.context.menu=\
||\
Select Block|lua;no;block_select|\
Smart Paste|lua;no;smart_paste|

# Window sizes and visibility
if PLAT_WIN
	position.left=75
	position.top=75
if PLAT_GTK
	position.left=5
	position.top=22
position.width=750
position.height=740
#position.tile=1
#full.screen.hides.menu=1
#minimize.to.tray=1
split.vertical=0
#output.horizontal.size=200
#output.vertical.size=60
#output.initial.hide=1
#horizontal.scrollbar=0
#horizontal.scroll.width=10000
#output.horizontal.scrollbar=0
#output.horizontal.scroll.width=10000
#output.scroll=0
#error.select.line=1
#end.at.last.line=0
tabbar.visible=1
tabbar.hide.one=1
#tabbar.multiline=1
toolbar.visible=1
#toolbar.detachable=1
#toolbar.usestockicons=1
#menubar.detachable=1
#undo.redo.lazy=1
statusbar.visible=1
#fileselector.width=800
#fileselector.height=600
#magnification=-1
#output.magnification=-1

# Sizes and visibility in edit pane
line.margin.width=4
margin.width=16
#fold.margin.width=16
#fold.margin.colour=#FF0000
#fold.margin.highlight.colour=#0000FF
#blank.margin.left=4
#blank.margin.right=4
buffered.draw=1
#two.phase.draw=0
use.palette=0

# Element styles
#view.eol=1
#control.char.symbol=.
caret.period=500
view.whitespace=0
view.indentation.whitespace=1
view.indentation.guides=1
highlight.indentation.guides=1
#caret.fore=#FF0000
#caret.width=2
#caret.line.back=#FFFED8
#caret.line.back.alpha=63
edge.column=200
edge.mode=0
edge.colour=#C0DCC0
braces.check=1
braces.sloppy=1
#selection.fore=#006000
# DADADA used as background because it yields standard silver C0C0C0
# on low colour displays and a reasonable light grey on higher bit depths
#selection.alpha=30
#selection.back=#000000
whitespace.fore=$(stdstyle.bg),fore:#202020
#whitespace.back=#FFF0F0
#error.marker.fore=#0000A0
#error.marker.back=#DADAFF
#bookmark.fore=#808000
#bookmark.back=#FFFFA0
#bookmark.alpha=
#find.mark=#0000FF

# Checking
are.you.sure=1
#are.you.sure.for.build=1
#save.all.for.build=1
#quit.on.close.last=1
#load.on.activate=1
#save.on.deactivate=1
are.you.sure.on.reload=1
reload.preserves.undo=1
check.if.already.open=1
default.file.ext=.lua
#source.default.extensions=.h|.cxx|.bat

#title.show.buffers=1
save.recent=1
session.bookmarks=1
session.folds=1
open.dialog.in.file.directory=1
strip.trailing.spaces=1
ensure.final.line.end=1
ensure.consistent.line.ends=1
#save.deletes.first=1
buffers=30
buffers.zorder.switching=1
#api.*.cxx=d:\api\w.api
#win95.death.delay=1000
#translation.missing=***
#read.only=1
#max.file.size=1

# Indentation
tabsize=4
indent.size=4
use.tabs=1
#indent.auto=1
indent.automatic=1
indent.opening=0
indent.closing=0
#tab.indents=0
#backspace.unindents=0

# Wrapping of long lines
#wrap=1
#wrap.style=2
#cache.layout=3
#output.wrap=1
#output.cache.layout=3
#wrap.visual.flags=3
#wrap.visual.flags.location=3
#wrap.visual.startindent=4

# Folding
# enable folding, and show lines below when collapsed.
fold=1
fold.compact=1
fold.flags=16
fold.symbols=1
#fold.on.open=1
fold.comment=1
fold.preprocessor=1

# Find and Replace
# Internal search always available with recursive capability so use in preference to external tool
find.command=
# findstr is available on recent versions of Windows including 2000
#if PLAT_WIN
#	find.command=findstr /n /s $(find.what) $(find.files)
#find.input=$(find.what)
#if PLAT_GTK
#	find.command=grep --line-number "$(find.what)" $(find.files)
find.files=*.lua;*.wlua;*.lexe
#find.in.files.close.on.find=0
#find.in.dot=1
#find.in.binary=1
#find.replace.matchcase=1
#find.replace.escapes=1
#find.replace.regexp=1
#find.replace.regexp.posix=1
#find.replace.wrap=0
#find.replacewith.focus=0
#find.replace.advanced=1

# Behaviour
#eol.mode=LF
eol.auto=1
clear.before.execute=0
#vc.home.key=1
#wrap.aware.home.end.keys=1
#autocomplete.choose.single=1
autocomplete.*.ignorecase=1
caret.policy.xslop=1
caret.policy.width=20
caret.policy.xstrict=0
caret.policy.xeven=0
caret.policy.xjumps=0
caret.policy.yslop=1
caret.policy.lines=1
caret.policy.ystrict=1
caret.policy.yeven=1
caret.policy.yjumps=0
#visible.policy.strict=1
#visible.policy.slop=1
#visible.policy.lines=4
#time.commands=1
#caret.sticky=1
#properties.directory.enable=1

# Status Bar
statusbar.number=1
statusbar.text.1=\
Ln: $(LineNumber) Col: $(ColumnNumber) Sel: $(SelLength)   |   Saved: $(FileDate)  $(FileTime)   |   [$(OverType)]  [$(EOLMode)] |  $(status.msg)
#li=$(LineNumber) co=$(ColumnNumber) $(OverType) ($(EOLMode)) $(FileAttr) $(status.msg)
statusbar.text.2=\
$(BufferLength) chars in $(NbOfLines) lines. Sel: $(SelLength) chars.
statusbar.text.3=\
Now is: Date=$(CurrentDate) Time=$(CurrentTime)
statusbar.text.4=\
$(FileNameExt) : $(FileDate) - $(FileTime) | $(FileAttr)

if PLAT_WIN
	command.scite.help="file://$(SciteDefaultHome)\docs\SciTEDoc.html"
	command.scite.help.subsystem=2
if PLAT_GTK
	command.print.*=a2ps "$(FileNameExt)"
	command.scite.help=netscape "file://$(SciteDefaultHome)/SciTEDoc.html"

# Internationalisation
# Japanese input code page 932 and ShiftJIS character set 128
#code.page=932
#character.set=128
# Unicode
#code.page=65001
code.page=0
#character.set=204
# Required for Unicode to work on GTK+:
#LC_CTYPE=en_US.UTF-8
#output.code.page=65001

# Export
#export.keep.ext=1
export.html.wysiwyg=1
#export.html.tabs=1
#export.html.folding=1
export.html.styleused=1
#export.html.title.fullpath=1
#export.rtf.tabs=1
#export.rtf.font.face=Arial
#export.rtf.font.size=9
#export.rtf.tabsize=8
# Magnification (added to default screen font size)
export.pdf.magnification=0
# Font: Courier, Helvetica or Times (Courier line-wraps)
export.pdf.font=Helvetica
# Page size (in points): width, height
# E.g. Letter 612,792; A4 595,842; maximum 14400,14400
export.pdf.pagesize=595,842
# Margins (in points): left, right, top, bottom
export.pdf.margins=72,72,72,72
export.xml.collapse.spaces=1
export.xml.collapse.lines=1

# Define values for use in the imported properties files
chars.alpha=abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
chars.numeric=0123456789
chars.accented=ŠšŒœŸÿÀàÁáÂâÃãÄäÅåÆæÇçÈèÉéÊêËëÌìÍíÎîÏïÐðÑñÒòÓóÔôÕõÖØøÙùÚúÛûÜüÝýÞþßö
# This is a better set for Russian:
#chars.accented=ÀàÁáÂâÃãÄäÅå¨¸ÆæÇçÈèÉéÊêËëÌìÍíÎîÏïÐðÑñÒòÓóÔôÕõÖö×÷ØøÙùÚúÛûÜüÝýÞþßÿ

# The open.filter setting is only used on Windows where the file selector has a menu of filters to apply
# to the types of files seen when opening.
# There is a limit (possibly 256 characters) to the length of a filter,
# so not all source extensions can be in this setting.
#~ source.files=*.c;*.cc;*.cpp;*.cxx;*.cs;*.h;*.hxx;*.hpp;\
#~ *.idl;*.rc;*.def;\
#~ *.java;*.js;*.py;*.lua;\
#~ make*;*.mak;\
#~ *.properties;*.html;*.xml;*.iface;*.bat;*.tex

source.files=*.c;*.cc;*.cpp;*.cxx;*.cs;*.h;*.hxx;*.hpp;\
*.idl;*.rc;*.def;\
*.java;*.lua;*.wlua;*.lexe;\
make*;*.mak;\
*.properties;*.html;*.xml;*.bat

if PLAT_WIN
	all.files=All Files (*.*)|*.*|
if PLAT_GTK
	all.files=All Files (*)|*|Hidden Files (.*)|.*|
open.filter=\
All Source|$(source.files)|\
$(all.files)\
$(filter.cpp)\
#$(filter.ch)\
#$(filter.css)\
#$(filter.d)\
#$(filter.fortran)\
#$(filter.idl)\
#$(filter.java)\
$(filter.js)\
$(filter.lua)\
#$(filter.matlab)\
#$(filter.pascal)\
#$(filter.perl)\
$(filter.properties)\
#$(filter.python)\
#$(filter.tex)\
$(filter.text)

# Give symbolic names to the set of fonts used in the standard styles.
if PLAT_WIN
	font.monospace=font:Courier New,size:10
	#font.small=font:Verdana,size:8
	#font.comment=font:Comic Sans MS,size:9

    font.comment=$(font.base)
	font.code.comment.box=$(font.comment)
	font.code.comment.line=$(font.comment)
	font.code.comment.doc=$(font.comment)
	font.code.comment.nested=$(font.comment)
	#font.text=font:Times New Roman,size:11
    font.text=$(font.base)
	font.text.comment=$(font.comment)
	font.embedded.base=$(font.comment)
	font.embedded.comment=$(font.comment)
	font.vbs=$(font.monospace)
if PLAT_GTK
	font.base=font:!Bitstream Vera Sans,size:9
	font.small=font:!Bitstream Vera Sans,size:8
	font.comment=font:!Bitstream Vera Serif,size:9
	font.code.comment.box=$(font.comment)
	font.code.comment.line=$(font.comment)
	font.code.comment.doc=$(font.comment)
	font.code.comment.nested=$(font.comment)
	font.text=font:!Bitstream Charter,size:10
	font.text.comment=font:!Serif,size:9
	font.embedded.base=font:!Serif,size:9
	font.embedded.comment=font:!Serif,size:9
	font.monospace=font:!Bitstream Vera Sans Mono,size:9
	font.vbs=font:!Bitstream Vera Sans Mono,size:9
font.js=$(font.comment)

# Old GTK+ font settings are faster but not antialiased
	#~ font.base=font:lucidatypewriter,size:12
	#~ font.small=font:lucidatypewriter,size:10
	#~ font.comment=font:new century schoolbook,size:12
	#~ font.code.comment.box=$(font.comment)
	#~ font.code.comment.line=$(font.comment)
	#~ font.code.comment.doc=$(font.comment)
	#~ font.text=font:times,size:14
	#~ font.text.comment=font:lucidatypewriter,size:10
	#~ font.embedded.base=font:lucidatypewriter,size:12
	#~ font.embedded.comment=font:lucidatypewriter,size:12
	#~ font.monospace=font:courier,size:12
	#~ font.vbs=font:new century schoolbook,size:12

# Give symbolic names to the set of colours used in the standard styles.
colour.code.comment.box=fore:#007F00
colour.code.comment.line=fore:#007F00
colour.code.comment.doc=fore:#3F703F
colour.code.comment.nested=fore:#A0C0A0
colour.text.comment=fore:#0000FF,back:#D0F0D0
colour.other.comment=fore:#007F00
colour.embedded.comment=back:#E0EEFF
colour.embedded.js=back:#F0F0FF
colour.notused=back:#FF0000

colour.number=fore:#007F7F
colour.keyword=fore:#00007F
colour.string=fore:#7F007F
colour.char=fore:#7F007F
colour.operator=fore:#000000
colour.preproc=fore:#7F7F00
colour.error=fore:#FFFF00,back:#FF0000

# Global default styles for all languages
# Default
style.*.32=$(font.base)
# Line number
style.*.33=$(stdstyle.linenumbers)
# Brace highlight
style.*.34=$(stdstyle.bracematch)
# Brace incomplete highlight
style.*.35=$(stdstyle.bracemismatch)
# Control characters
style.*.36=$(stdstyle.controlchars)
# Indentation guides
style.*.37=$(stdstyle.indentguides)

# Printing - only works on Windows
if PLAT_WIN
	#print.colour.mode=1
	print.magnification=-1
	# Setup: left, right, top, bottom margins, in local units:
	# hundredths of millimeters or thousandths of inches
	print.margins=1500,1000,1000,1500
	# Header/footer:
	# && = &; &p = current page
	# &f = file name; &F = full path
	# &d = file date; &D = current date
	# &t = file time; &T = full time
	print.header.format=$(FileNameExt) — Printed on $(CurrentDate), $(CurrentTime) — Page $(CurrentPage)
	print.footer.format=$(FilePath) — File date: $(FileDate) — File time: $(FileTime)
	# Header/footer style
	print.header.style=font:Arial,size:12,bold
	print.footer.style=font:Arial Narrow,size:10,italics

# Warnings - only works on Windows and needs to be pointed at files on machine
#if PLAT_WIN
#	warning.findwrapped=100,E:\Windows\Media\SFX\Boing.wav
#	warning.notfound=0,Effect.wav
#	warning.wrongfile=0,Glass.wav
#	warning.executeok=0,Fanfare.wav
#	warning.executeko=100,GlassBreak.wav
#	warning.nootherbookmark=100,Boing2.wav

# Define the Lexer menu,
# Each item contains three parts: menu string | file extension | key
# The only keys allowed currently are based on F-keys and alphabetic keys and look like
# [Ctrl+][Shift+][Fn|a] such as F12 or Ctrl+Shift+D.
# A '&' may be placed before a letter to be used as an accelerator. This does not work on GTK+.
menu.language=\
Text|txt||\
&Batch|bat||\
&C / C++|c||\
#CMake|cmake||\
#C&#|cs||\
#Csound|orc||\
#CSS|css||\
#D|d||\
#&Difference|diff||\
#&Eiffel|e||\
#Erlang|erl||\
#&Errorlist|err||\
#FlagShip|prg||\
#&Fortran|f90||\
#Gap|g||\
#H&ypertext|html||\
#&InnoSetup|iss||\
#&Java|java||\
#Java&Script|js||\
#&Kix|kix||\
#TeX|tex||\
#Lisp|lisp||\
#Lot|lot||\
#Lout|lt||\
Lu&a|lua||\
#Matlab|m.matlab||\
#&Makefile|mak|Ctrl+Shift+F11|\
#MetaPost|mp||\
#MMIXAL|mms||\
#&nnCron crontab|tab||\
#NSIS|nsis||\
#Objective Caml|ml||\
#Octave|m.octave||\
#Opal|impl||\
#Pascal|pas||\
#Pe&rl|pl||\
#P&HP|php||\
#P&LSQL|spec||\
&Properties|properties||\
#P&ostScript|ps||\
#P&OV-Ray SDL|pov||\
#Pytho&n|py||\
#Reso&urce|rc||\
#Ruby|rb||\
#Shell|sh||\
#S&QL|sql||\
#Specman|e||\
#&TCL|tcl||\
#&VB|vb||\
#VBScr&ipt|vbs||\
#Verilog|v||\
#VHDL|vhd||\
#&XML|xml|Shift+F12|

# User defined key commands
#~ user.shortcuts=\
#~ Ctrl+Shift+V|IDM_PASTEANDDOWN|\
#~ Ctrl+PageUp|IDM_PREVFILE|\
#~ Ctrl+PageDown|IDM_NEXTFILE|

#KeypadPlus|IDM_EXPAND|\
#KeypadMinus|IDM_BLOCK_COMMENT|

#user.context.menu=\
#||\
#Next File|IDM_NEXTFILE|\
#Prev File|IDM_PREVFILE|

# Import all the language specific properties files
#import ada
#import asm
#import asn1
#import au3
#import ave
#import baan
#import freebasic
#import blitzbasic
#import bullant
#import caml
#import conf
import cpp
#import cmake
#import d
#import csound
#import css
#import eiffel
#import erlang
#import escript
#import flagship
#import forth
#import fortran
#import gap
import html
#import inno
#import kix
#import lisp
#import lot
#import lout
import lua
#import matlab
#import metapost
#import mmixal
#import nncrontab
#import nsis
#import opal
import others
#import pascal
#import perl
#import pov
#import ps
#import purebasic
#import python
#import rebol
#import ruby
#import scriptol
#import smalltalk
#import spice
#import sql
#import specman
#import tcl
#import tex
#import vb
#import yaml
#import verilog
#import vhdl

abbreviations.*.lua=$(SciteDefaultHome)\abbrev.properties
abbreviations.*.wlua=$(SciteDefaultHome)\abbrev.properties
abbreviations.*.lexe=$(SciteDefaultHome)\abbrev.properties



